Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.facade
Class ServletInfo

    java.lang.Object
      org.apache.tomcat.facade.ServletInfo

public final class ServletInfo
extends java.lang.Object

Class used to represent a servlet inside a Context. It will deal with all servlet-specific issues: - load on startup - servlet class name ( dynamic loading ) - init parameters - security roles/mappings ( per servlet ) - jsp that acts like a servlet ( web.xml ) - reloading

Author:
  James Duncan Davidson [duncan@eng.sun.com], Jason Hunter [jch@eng.sun.com], James Todd [gonzo@eng.sun.com], Harish Prabandham, costin@dnt.ro

Constructor Summary
`ServletInfo()`
`ServletInfo(ServletHandler handler)`

Method Summary
`void` | `addInitParam(java.lang.String name, java.lang.String value)` Add configuration properties associated with this handler.
`void` | `addSecurityMapping(java.lang.String name, java.lang.String role, java.lang.String description)` Security Role Ref represent a mapping between servlet role names and server roles
`void` | `addServlet(Context ctx, WebXmlReader wxR)` This method can called to add the servlet to the web application.
`Context` | `getContext()`
`Dependency` | `getDependency()` Deprecated. this supports only one depend per jsp/servlet. Wrong.
`DependManager` | `getDependManager()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration` | `getInitParameterNames()`
`java.lang.String` | `getJspFile()`
`boolean` | `getLoadingOnStartUp()`
`int` | `getLoadOnStartUp()`
`java.lang.String` | `getSecurityRole(java.lang.String name)`
`java.lang.String` | `getServletClassName()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`java.lang.String` | `getServletDescription()`
`java.lang.String` | `getServletName()`
`void` | `setContext(Context ctx)`
`void` | `setDependency(Dependency dep)` Deprecated. this supports only one depend per jsp/servlet. Wrong.
`void` | `setDependManager(DependManager dep)`
`void` | `setDescription(java.lang.String s)`
`void` | `setJspFile(java.lang.String path)`
`void` | `setLoadOnStartUp(int level)`
`void` | `setLoadOnStartUp(java.lang.String level)`
`void` | `setServletClassName(java.lang.String servletClassName)`
`void` | `setServletDescription(java.lang.String description)`
`void` | `setServletName(java.lang.String servletName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletInfo

    public ServletInfo()

### ServletInfo

    public ServletInfo(ServletHandler handler)

Method Detail

### toString

    public java.lang.String toString()

### addServlet

    public void addServlet(Context ctx,
                           WebXmlReader wxR)
                    throws TomcatException

  This method can called to add the servlet to the web application. ( typlically used from the config - WebXmlReader ).

  Throws:
    `TomcatException`

### setContext

    public void setContext(Context ctx)

### getContext

    public Context getContext()

### addInitParam

    public void addInitParam(java.lang.String name,
                             java.lang.String value)

  Add configuration properties associated with this handler. This is a non-final method, handler may override it with an improved/specialized version.

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

### setLoadOnStartUp

    public void setLoadOnStartUp(int level)

### setLoadOnStartUp

    public void setLoadOnStartUp(java.lang.String level)

### getLoadOnStartUp

    public int getLoadOnStartUp()

### getLoadingOnStartUp

    public boolean getLoadingOnStartUp()

### getServletName

    public java.lang.String getServletName()

### setServletName

    public void setServletName(java.lang.String servletName)

### getServletDescription

    public java.lang.String getServletDescription()

### setServletDescription

    public void setServletDescription(java.lang.String description)

### getServletClassName

    public java.lang.String getServletClassName()

### setServletClassName

    public void setServletClassName(java.lang.String servletClassName)

### addSecurityMapping

    public void addSecurityMapping(java.lang.String name,
                                   java.lang.String role,
                                   java.lang.String description)

  Security Role Ref represent a mapping between servlet role names and server roles

### getSecurityRole

    public java.lang.String getSecurityRole(java.lang.String name)

### getJspFile

    public java.lang.String getJspFile()

### setJspFile

    public void setJspFile(java.lang.String path)

### getDependManager

    public DependManager getDependManager()

### setDependManager

    public void setDependManager(DependManager dep)

### getDependency

    public Dependency getDependency()

  Deprecated. this supports only one depend per jsp/servlet. Wrong.

### setDependency

    public void setDependency(Dependency dep)

  Deprecated. this supports only one depend per jsp/servlet. Wrong.

### setDescription

    public void setDescription(java.lang.String s)

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.